%global pypi_name jsonschema

Summary:        Implementation of JSON Schema validation for Python
Name:           python-jsonschema
Version:        4.17.3
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/python-jsonschema/jsonschema
Source0:        %{pypi_source}
 
BuildArch:      noarch
BuildRequires:  python3-devel
 
%bcond_with tests
%if %{with tests}
BuildRequires:  python3dist(twisted)
%endif
 
 
%description
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).
 
 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.
 
 
%package -n     python3-jsonschema
Summary:        Implementation of JSON Schema validation for Python
%description -n python3-jsonschema
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).
 
 
%prep
%autosetup -n jsonschema-%{version}
rm jsonschema/tests/test_jsonschema_test_suite.py
%generate_buildrequires
%pyproject_buildrequires
 
%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonschema
 
 
%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} trial-3 jsonschema
%endif
 
%files -n python3-jsonschema -f %{pyproject_files}
%license COPYING json/LICENSE
%license %{python3_sitelib}/jsonschema-%{version}.dist-info/licenses/
%doc README.rst
%{_bindir}/jsonschema
 
%changelog
* Thu Sep 12 2024 Ze Zhang <bbrucezhang@tencent.com> - 4.17.3-5
- [Type] other
- [DESC] Remove subpkg format

* Wed Sep 4 2024 Ze Zhang <bbrucezhang@tencent.com> - 4.17.3-4
- [Type] other
- [DESC] Restore changelog

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.3-3
- Rebuilt for loongarch release

* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.3-2
- Add subpkg format

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 4.17.3-1
- Bump version to 4.17.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 14 2022 Feng Weiyao <wynnfeng@tencent.com> - 4.17.0-1
- package init.
